// DWBS ------------------------------------------------------------------ DWBS
//
// PLATFORM		: ALL
// PRODUCT		: BIT_DEMON
// VISIBILITY	: PUBLIC
//
// DWBS ------------------------------------------------------------------ DWBS

#include "UserInfo.h"

PrivateProfileInfo::~PrivateProfileInfo()
{
}

void PrivateProfileInfo::serialize(bdBitBuffer& buffer)
{
	bdProfileInfo::serialize(buffer);
	buffer.writeString(m_email);
}

bdBool PrivateProfileInfo::deserialize(bdBitBufferRef buffer)
{
	bdBool ok = bdProfileInfo::deserialize(buffer);
	ok = ok && buffer->readString(m_email);
	return ok;
}

PublicProfileInfo::~PublicProfileInfo()
{
}

void PublicProfileInfo::serialize(bdBitBuffer& buffer)
{
	bdProfileInfo::serialize(buffer);
	buffer.writeInt32(m_experiencePoints);
}

bdBool PublicProfileInfo::deserialize(bdBitBufferRef buffer)
{
	bdBool ok = bdProfileInfo::deserialize(buffer);
	ok = ok && buffer->readInt32(m_experiencePoints);
	return ok;
}


